#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFC,0x20,0x0C,0x21,0xB0,0xC1,0xCC,0x2E,0xC2,0x48,0xB8,0x53,
		0xF7,0x12,0xB6,0xC5,0xF7,0x0B,0xFE,0xE9,0x22,0x64,0x95,0x4E,
		0xD2,0x6D,0xA2,0x12,0x97,0x6A,0xEF,0xA8,0x2C,0xA2,0xFD,0x43,
		0xBE,0x88,0x7B,0x1C,0x49,0xC8,0x67,0xB6,0xD4,0xE8,0x72,0xBF,
		0xCD,0x3B,0xD3,0xD3,0x99,0xF2,0x1E,0x3A,0x09,0x39,0x82,0xFD,
		0xDF,0x09,0x74,0x53,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
